Subject: bug#22657: 24.5; "Python Exception <class 'NameError'> name 'long' is not defined" while using gdb registers buffer

From: immerrr again <[email-masked]>
Date: Sun, 14 Feb 2016 21:20:55 +0300

On Sun, Feb 14, 2016 at 9:11 PM, Eli Zaretskii <[email-masked]> wrote:
>>
>> Breakpoint 1, 0x000000000040053a in main ()
>> (gdb) Python Exception <class 'NameError'> name 'long' is not defined:
>> Python Exception <class 'NameError'> name 'long' is not defined:
>> Python Exception <class 'NameError'> name 'long' is not defined:
>> Python Exception <class 'NameError'> name 'long' is not defined:
>>

NameError means something is undefined, so probably gdb is executing
scripts using python3 and some script doesn't account for the fact
that only "long" and "int" types got merged  in Python3 world and
"long" no longer exists.